# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Auslesen Farb- und Abstandssensor.
# 28.5.18, S. Mack

from pylegoboost import movehub
from time import sleep
import logging

#logging.basicConfig(level=10)

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

cnt = 0
limit = 50

print('Auslesen des Farb-/Abstandssensor (Farbe, Astandswert, 50 Callbacks, Werte nur bei Änderung Sensorsignal!):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(color, distance=None):
    global cnt
    cnt += 1
    print("Count: {}   Color: {}   Distance: {}".format(cnt, movehub.COLORS[color], distance))

hub.color_distance_sensor.subscribe(callback)

try:    
    while cnt < limit:
        sleep(0.1)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
    print()
    print('Strg + C erkannt...')
    sleep(2)
finally:
    print('...Color Sensor Notifications Abo beenden...')
    hub.color_distance_sensor.unsubscribe(callback)
    print('...BLE-Verbindung wird beendet.')
    hub.disconnect() # BLE-Verbindung beenden
    sleep(2)
