# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ausgabe Stromfluss bei laufendem Motor (MoveHub bewegt sich im Keis.
# Wenn Bewegung behindert wird, steigt Strom.
# 28.5.18, S. Mack

from pylegoboost import movehub
from time import sleep
import logging

#logging.basicConfig(filename='logDatei.log', level=10)
#logging.basicConfig(level=10)

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

print('Ausgabe Stromfluss MoveHub (während 10 Sekunden):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(current):
    print("Current: {}".format(current))

hub.amperage.subscribe(callback)

hub.motor_AB.timed(10, -0.3, 0.3) # MoveHub 10 Sekunden lang im Kreis bewegen lassen.
sleep(1.5) # Damit alle Callbackwerte vor dem last_value ausgegeben wurden.
print("Last Current: {}".format(hub.amperage.last_value))

hub.amperage.unsubscribe(callback)

hub.disconnect() # BLE-Verbindung beenden
