# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Auslesen Wert Drehencoder von Motor A.
# 28.5.18, S. Mack

from pylegoboost import movehub
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

cnt = 0
limit = 50

print('Auslesen Encoder Motor A (Winkel-Werte, 50 Callbacks):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(angle):
    global cnt
    cnt += 1
    print("Count: {}    Angle: {}".format(cnt, angle))

hub.motor_A.subscribe(callback, mode=movehub.EncodedMotor.SENSOR_ANGLE)

try:
    while cnt < limit:
        sleep(0.1)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
    print()
    print('Strg + C erkannt...')
    sleep(2)
finally:
    print('...Endoder Motor A Notifications Abo beenden...')
    hub.motor_A.unsubscribe(callback)
    print('...BLE-Verbindung wird beendet.')
    hub.disconnect() # BLE-Verbindung beenden
