# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ansteuern der Motoren A und B mit Vorgabe Laufzeit und Drehzahl.
# Der Wert für die Drehzahl ist ein Float zwischen -1 und +1
# 28.5.18, S. Mack

from pylegoboost import movehub
from time import sleep
import logging

#logging.basicConfig(filename='logDatei.log', level=10)
#logging.basicConfig(level=10)

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

print('Ansteuern der Motoren A und B mit Vorgabe Laufzeit und Drehzahl:')

hub = movehub.MoveHub(hub_mac=HUB_MAC)


for level in range(0, 101, 10):
    level /= 100.0
    print('Drehzahl: {}'.format(level))
    hub.motor_A.timed(0.2, level)
    hub.motor_B.timed(0.2, -level)
    hub.motor_AB.timed(1.5, -level, level)
    hub.motor_AB.timed(0.5, level)
    hub.motor_AB.timed(0.5, -level)

hub.disconnect() # BLE-Verbindung beenden
