# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ausgabe Batteriespannung
# 28.5.18, S. Mack

from pylegoboost import movehub
from time import sleep
import logging
logging.basicConfig(filename='logDatei.log', level=10)


HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

print('Ausgabe Batteriespannung MoveHub (während 10 Sekunden):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def my_callback(voltage):
    print("Voltage: {}".format(voltage))

hub.voltage.subscribe(my_callback)
sleep(10) # Callback wird nur aufgerufen, wenn Spannung sich ändert
print("Last Voltage: {}".format(hub.voltage.last_value))

hub.voltage.unsubscribe(my_callback)

hub.disconnect() # BLE-Verbindung beenden

exit(0) #Python-Shell beenden
